Get a portal token
GET /api/portal/tokens/{portal_token_id}
GET /api/portal/tokens/{portal_token_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
portal_token_id*string
The unique identifier of the portal token.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Query Parameters
portal_id?string
The unique identifier of the portal instance.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Default
"default"Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/portal/tokens/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"Successfully retrieved the portal token.
{
"value": {
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"name": "my-portal-token",
"portal_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": 1742288232,
"updated_at": 1742288235,
"expires_at": 1752288235,
"last_used_at": 1742288235
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/portal/tokens/{portal_token_id}
Get a portal token
IAM Action: portal:GetPortalToken, Resource: arn:api7:portal:portal/%s/token/*
Parameters
portal_id(query, string, optional): The unique identifier of the portal instance.portal_token_id(path, string, required): The unique identifier of the portal token.
Responses
200: Successfully retrieved the portal token.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.id(string, optional): The portal token ID.value.name(string, optional): The portal token name.value.portal_id(string, optional): The portal ID that this token belongs to.value.created_at(integer, optional): The time when a portal token is created.value.updated_at(integer, optional): The time when a portal token is updated.value.expires_at(integer, optional): The expiration timestamp of the portal token.0means the token will not expire.value.last_used_at(integer, optional): The last time when the portal token is used.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/portal/tokens/{portal_token_id}'